Bug 232123 - www/gitea: Update to 1.5.1 (Fixes security vulnerability)
Summary: www/gitea: Update to 1.5.1 (Fixes security vulnerability)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jochen Neumeister
URL: https://github.com/go-gitea/gitea/rel...
Keywords: security
Depends on:
Blocks:
 
Reported: 2018-10-09 16:59 UTC by stb
Modified: 2018-10-16 08:10 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly+


Attachments
patch to update gitea port to 1.5.2 (818 bytes, patch)
2018-10-09 16:59 UTC, stb
koobs: maintainer-approval+
Details | Diff
patch to vixml to document the fixed vulnerability (1.26 KB, patch)
2018-10-09 16:59 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2018-10-09 16:59:15 UTC
Created attachment 197969 [details]
patch to update gitea port to 1.5.2

Update Gitea to 1.5.1

Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.5.2

One security fix and general bugfixes.

vuxml patch attached as well.
Comment 1 stb 2018-10-09 16:59:49 UTC
Created attachment 197970 [details]
patch to vixml to document the fixed vulnerability
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-10 06:42:12 UTC
Comment on attachment 197969 [details]
patch to update gitea port to 1.5.2

Approved by: maintainer <stb lassitu de>
Comment 3 commit-hook freebsd_committer 2018-10-11 15:28:19 UTC
A commit references this bug:

Author: joneum
Date: Thu Oct 11 15:28:09 UTC 2018
New revision: 481836
URL: https://svnweb.freebsd.org/changeset/ports/481836

Log:
  Add entry for www/gitea

  PR:		232123
  Reported by:	maintainer
  Sponsored by:	Netzkommune GmbH

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2018-10-11 15:31:25 UTC
A commit references this bug:

Author: joneum
Date: Thu Oct 11 15:30:59 UTC 2018
New revision: 481837
URL: https://svnweb.freebsd.org/changeset/ports/481837

Log:
  Update to 1.5.2

  changelog: https://blog.gitea.io/2018/10/gitea-1.5.2-is-released/

  PR:		232123
  Reported by:	maintainer
  MFH:		2018Q4
  Security:	cb539d4e-cd68-11e8-8819-00e04c1ea73d
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
Comment 5 commit-hook freebsd_committer 2018-10-12 04:38:25 UTC
A commit references this bug:

Author: joneum
Date: Fri Oct 12 04:38:14 UTC 2018
New revision: 481874
URL: https://svnweb.freebsd.org/changeset/ports/481874

Log:
  MFH: r481837

  Update to 1.5.2

  changelog: https://blog.gitea.io/2018/10/gitea-1.5.2-is-released/

  PR:		232123
  Reported by:	maintainer
  Security:	cb539d4e-cd68-11e8-8819-00e04c1ea73d
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/www/gitea/Makefile
  branches/2018Q4/www/gitea/distinfo